function rho_lint

z0=320;z0=800;	dz=5;	nz=255; nz=159;
t0=z0;	dt=dz;	nt=5;	zz=nz*dz+z0;
a   = zeros(nt+1,2)+.97;
rho = zeros(nz,1);
a(1,1)=000;	a(1,2)=.972;
a(2,1)=960.;	a(2,2)=.974;
a(3,1)=1030;	a(3,2)=.975;
a(4,1)=1160.;	a(4,2)=.978;
a(5,1)=1410;	a(5,2)=.98;
a(6,1)=zz;	a(6,2)=.981;

iz=1;
z=z0;
for it=1:nt
  t1=a(it+0,1);
  t2=a(it+1,1);
  a1=a(it+0,2);
  a2=a(it+1,2);
  while(z<t2)
    z=z0+(iz-1)*dz;
    frac=(t2-z)/(t2-t1);
    rho(iz)=frac*a1+(1-frac)*a2;
    check  =frac*t1+(1-frac)*t2;
    iz=iz+1;
  end
end 

size(a)
rho(nz-5:nz)=rho(nz-6);
size(rho)

subplot(2,1,1),imagesc(a(:,2))
colorbar
subplot(2,1,2),imagesc(1,[z0:dz:zz],rho)
colorbar

subplot(2,1,1),plot(a(:,2))
subplot(2,1,2),plot(rho)

disp('write rho profile to rho.H ? CTRL+C to abort')
pause
%rhofile=givemeasepstruct([z0,z0],[dz,dz],[rho(1:254);dz])
rhofile=givemeasepstruct([z0,z0],[dz,dz],[rho(1:158);dz])
swrite(rhofile,'./rho.H')
