function dip_lint

z0=320;z0=800;	dz=5;	nz=255; nz=159;
t0=z0;	dt=dz;	nt=4;	zz=nz*dz+z0;
a   = zeros(nt+2,2);
dip = zeros(nz,1);
a(1,1)=0.00;	a(1,2)=00;
a(2,1)=960.;	a(2,2)=00;
a(3,1)=1025;	a(3,2)=15;
a(4,1)=1160.;	a(4,2)=30;
a(5,1)=1400.;	a(5,2)=45;
a(6,1)=zz;	a(6,2)=50;

iz=1;
z=z0;
for it=1:nt+1
  t1=a(it+0,1);
  t2=a(it+1,1);
  a1=a(it+0,2);
  a2=a(it+1,2);
  while(z<t2)
    z=z0+(iz-1)*dz;
    frac=(t2-z)/(t2-t1);
    dip(iz)=frac*a1+(1-frac)*a2;
    check  =frac*t1+(1-frac)*t2;
    iz=iz+1;
  end
end 

subplot(2,1,1),imagesc(a(:,2))
colorbar
subplot(2,1,2),imagesc(1,[z0:dz:zz],dip)
colorbar

subplot(2,1,1),plot(a(:,2))
subplot(2,1,2),plot(dip)

disp('write dip profile to dip.H ? CTRL+C to abort')
pause
%dipfile=givemeasepstruct([z0,z0],[dz,dz],[dip(1:254);dz])
dipfile=givemeasepstruct([z0,z0],[dz,dz],[dip(1:158);dz])
swrite(dipfile,'./dip.H')
