Program Lint

use sep

implicit none
integer :: it,iz,nt,nz
real	:: z,zz,a1,a2,z1,z2,dz,oz,frac
real,allocatable,dimension(:)	:: d,m,zd

call sep_init()
call from_param("nz",nz)
call from_param("nt",nt)
call from_param("dz",dz)
allocate(zd(nt));zd=0
allocate( d(nt)); d=0
call from_param("d",d)
call from_param("zd",zd)
allocate( m(nz)); m=0

oz=zd(2)
zz=nz*dz+oz
it=2
do iz=1,nz
  z=oz+(iz-1)*dz
  z1=zd(it+0)
  z2=zd(it+1)
  a1= d(it+0)
  a2= d(it+1)
  if((z>z2).and.(z<zz))then
	it=it+1
  end if
  frac=(z-z1)/(z2-z1)
  m(iz)=(1-frac)*a1+frac*a2
end do

call sep_write(m)
call to_history("n1",nz)
call to_history("d1",dz)
call to_history("o1",oz)

deallocate(zd,d,m)
call sep_close

end Program Lint
